Subject: POSTGRES/Tcl interface

From: [email-masked]
Date: Sat, 25 Apr 92 18:09:38 -0700

I've done an interface between libpq and Tcl, if anyone wants it. I've
tested it using POSTGRES v3r1 and Tcl 6.2. It is a mere 624 lines, but
if I can save someone the trouble, more's the better (duh, chee... I
hope someone ELSE hasn't done already... :-). I've transliterated the
little testlibpq.c program in the libpq manpage into Tcl and included it
as an example. The only things I didn't implement were PQnames() and
PQgetline(), sinceI'm lazy, but I'll get around to it (no big deal -- if
you do it, send me the code). It's kinda neat to use Tcl as your monitor!

Cheers,
		-- Sean